Page MenuHomePhabricator

Investigate ParserOutput and HTML composition needs with MCR
Closed, ResolvedPublic

Description

Multimedia Team will look into the following tasks, per Daniel:

"MCR output composition for SDC. In concrete terms, this means putting the HTML
for the main slot (wikitext file description) and the structured data (generated
by a Wikibase EntityView) together into a ParserOutput object that is managed by
the ParserCache.

For SDC, we need *some* mechanism for doing this. A *generic* mechanism for this
needs another RFC. It's currently unclear who would be implementing the generic
mechanism, but it's clear that it's needed to make MCR fully available to
extensions.

A first take on the infrastructure for this is up as a code experiment:
https://gerrit.wikimedia.org/r/c/421794/. This however omits the crucial part
of actually composing the HTML, since it's still unclear what component would be
responsible for the layout."

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptApr 23 2018, 4:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Apr 24 2018, 6:47 PM
Cparle claimed this task.May 11 2018, 3:30 PM

I think this is covered by T200903

Ramsey-WMF closed this task as Resolved.Mar 8 2019, 5:20 PM